require 'phi'
include  Phi 

	WS_EX_ACCEPTFILES = 16
	WS_EX_APPWINDOW = 0x40000

form = Form.new do |params|
  puts "0x%x" % params.ex_style
  params.ex_style |= WS_EX_ACCEPTFILES | WS_EX_APPWINDOW
  puts "0x%x" % params.ex_style
# params
end
p form.name
form = Form.new
p form.name

# form.on_create_params = proc do |sender, params|
#   p params
#   nil
# end

i = Button.new form, :btn, 'hello' do |args|
p args
end
i.align = Phi::AL_CLIENT
def i.on_click
  self.caption = Time.now.to_s
  print "clicked\n"
end
form.show
Phi.mainloop
